Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.model
Interface IFlushableStreamMonitor

All Superinterfaces:
  IStreamMonitor

public interface IFlushableStreamMonitor
extends IStreamMonitor

A stream monitor who's contents can be flushed. As well, a client may turn buffering on/off in a flushable stream monitor.

Clients may implement this interface.

Since:
  2.1

Method Summary
`void` | `flushContents()` Empties the contents of this stream monitor's underlying buffer.
`boolean` | `isBuffered()` Returns whether the contents of this monitor's underlying stream is buffered.
`void` | `setBuffered(boolean buffer)` Sets whether the contents of this monitor's underlying stream should be buffered.

Methods inherited from interface org.eclipse.debug.core.model.IStreamMonitor
`addListener, getContents, removeListener`

Method Detail

### flushContents

    public void flushContents()

  Empties the contents of this stream monitor's underlying buffer.

### setBuffered

    public void setBuffered(boolean buffer)

  Sets whether the contents of this monitor's underlying stream should be buffered. When `false`, contents appended to this stream monitor are not stored in a buffer, and are thus not available from `getContents()`. Registered listeners are notified of appended text, and must buffer the contents if desired.

  Parameters:
    `buffer` - whether the contents of this monitor's underlying stream should be buffered

### isBuffered

    public boolean isBuffered()

  Returns whether the contents of this monitor's underlying stream is buffered.

  Returns:
    whether the contents of this monitor's underlying stream is buffered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.